#include "../../include/GPU/GPU.hpp"
#include <PSX/File/Processor/File_Processor.hpp>
#include <PSX/GPU/GPU.hpp>

#include "splash_image_boot.hpp"

namespace GPU {
    void display_logo() {
        Display::disable();

        // Upload SplashScreen picture
        auto state = FileProcessor::create(reinterpret_cast<const uint32_t*>(SplashScreen), SimpleTIM(93, 0, 0, 0));
        while(state.process((sizeof(SplashScreen)/sizeof(uint32_t))));

        Display::enable();
    }

    void setup() {
        GP1.write(Command::GP1::Reset());
        GP1.write(Command::GP1::DisplayMode(DisplayMode::PAL()));

        quick_fill_fast(Color24::Black(), PositionU16(0, 0), SizeU16(640, 480));
    }
}